Bug 812731 - Thin pool cannot be reduced in size
Thin pool cannot be reduced in size
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 02:15 EDT by Xiaowei Li
Modified: 2015-04-15 10:01 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:24:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2012-04-16 02:15:07 EDT
Description of problem:
  Thin pool volumes cannot be reduced in size yet.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.# lvreduce -l 200 vg3/pool
  Thin pool volumes cannot be reduced in size yet.
  
Actual results:


Expected results:


Additional info:
Comment 1 Xiaowei Li 2012-04-16 02:15:54 EDT
If it's a known issue, just keep the bz open for tracking.
Comment 2 Zdenek Kabelac 2012-04-16 04:07:12 EDT
Currently only the upsize is supported, and support for pool reduction is not yet in plan, more important features will go first...
Comment 3 Alasdair Kergon 2012-04-16 11:37:28 EDT
This one is long in the future - it's not seen as very important, in the same way that various filesystems don't support online shrinking.

An offline tool might be produced first, we'll see.
Comment 4 Xiaowei Li 2012-07-25 23:22:43 EDT
(In reply to comment #3)
> This one is long in the future - it's not seen as very important, in the
> same way that various filesystems don't support online shrinking.
> 
> An offline tool might be produced first, we'll see.

I have re-considered this issue.

thin pool downsize is IMPORTANT since its blocks is allocated when creating it. that can release the unused blocks to other thick volumes.

for example, i have VG created on 2 * 10G disks and create a 9G stripe thin pool. then i want to create a 2G mirror LV(since thin pool doesn't support mirror).
I have to reduce the thin pool to 8G so that i have the enough space to create the mirror LV.
Comment 5 Fedora End Of Life 2013-07-03 20:04:59 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 23:25:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.